<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pageName		= 'wsLoadData.php';
$pageVersion	= '1.01h3 2012-07-02';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#-------------------------------------------------------------------------------------
# Load data from weatherstation variables into array with ajax variables
#-------------------------------------------------------------------------------------
# 1.01  2012-06-14  release version
# 1.01e 20120-07-02 maintenance error arrow baro
# 1.01h 20120-08-02 missing german texts Current Condition due to mismatch char set
# 1.01h1 2012-08-20 wind calm '---' for Cumulus
#-------------------------------------------------------------------------------------
$string1='';
$string1.="ajaxVars['ajaxindicator']='".langtransstr("Last updated:")." ';\n" ;
$string1.="ajaxVars['langPauseMsg']='".langtransstr('Updates paused - reload page to start')." ';\n" ;
$string1.="ajaxVars['ajaxdate']= '".string_date ($ws['actTime'],$SITE['dateOnlyFormat'])."';\n";
$string1.="ajaxVars['ajaxtime']= '".string_date ($ws['actTime'],$SITE['timeOnlyFormat'])."';\n";
$string1.="ajaxVars['ajaxcounter']= '0';\n";
$string1.="ajaxVars['ajaxtemp']= '".$ws['tempAct'].$uomTemp."';\n";
$string1.="ajaxVars['ajaxtempNoU']= '".$ws['tempAct']."';\n";
$string1.="ajaxVars['gizmotempNoU']= '".$ws['tempAct']."';\n";
$string1.="ajaxVars['ajaxbigtemp']='" .number_format($ws['tempAct']).$uomTemp."';\n";
$textUP = langtransstr("Warmer").':  %s '.$uomTemp.langtransstr("than last hour").".";
$textDN = langtransstr("Cooler").':  %s '.$uomTemp.langtransstr("than last hour").".";
$string1.="ajaxVars['ajaxtemparrow']='".wsGenDifference($ws['tempAct'],$ws['tempAct']- $ws['tempDelta'], '', $textUP, $textDN, 1)."';\n";
$convertText=$condDesc;
$text="'<img class=\"colimg\" src=\"".$ccnIconUrl."\" width=\"52px\" height=\"52px\" alt=\"".$convertText."\" title=\"".$convertText."\"/>';\n";
$string1.="ajaxVars['ajaxconditionicon'] = ".$text;
$text="'<img class=\"colimg\" src=\"".$ccnIconUrl."\" width=\"26px\" height=\"26px\" alt=\"".$convertText."\" title=\"".$convertText."\"/>';\n";
$string1.="ajaxVars['ajaxconditioniconMobi'] = ".$text;
$string1.="ajaxVars['ajaxcurrentcond']= '".$convertText."';\n";
$txt = langtransstr("Currently").": ".$ws['tempAct'].", ".langtransstr("Min").": ".$ws['tempMinToday'].", ".langtransstr("Max").": ".$ws['tempMaxToday'];
if ($ws['tempMaxToday'] >=  $ws['tempMaxYday'] ) {$highTemp= $ws['tempMaxToday'];} else {$highTemp= $ws['tempMaxYday'];}
if ($ws['tempMinToday'] <=  $ws['tempMinYday'] ) {$lowTemp= $ws['tempMinToday'];} else {$lowTemp= $ws['tempMinYday'];}
if ($SITE['uomTemp'] == '&deg;C') {$uom = 'C';} else {$uom = 'F';}
$text="'<img class=\"colimg\" src=\"".$SITE['imgDir']."thermometer.php?t=".$ws['tempAct']."&amp;tmin=".$lowTemp."&amp;tmax=".$highTemp."&amp;uom=".$uom."\" width=\"54px\" height=\"170px\" alt=\"".$txt."\" title=\"".$txt. "\"/>';\n";
$string1.="ajaxVars['ajaxthermometer']=".$text;
list($feelslike,$heatcolourword) = wsFeelslikeTemp($ws['tempAct'], $ws['chilAct'], $ws['heatAct'] ,$uomTemp);
//$convertText=htmlentities (langtransstr($heatcolourword));
$string1.="ajaxVars['ajaxheatcolorword']='".$heatcolourword."';\n";
$string1.="ajaxVars['ajaxfeelslike']='".$feelslike . $uomTemp."';\n";
$string1.="ajaxVars['ajaxtempmax']='".$ws['tempMaxToday'].$uomTemp."';\n";
$string1.="ajaxVars['ajaxtempmaxTime']='".string_date($ws['tempMaxTodayTime'],$SITE['timeOnlyFormat'])."';\n";
$string1.="ajaxVars['ajaxtempmin']='".$ws['tempMinToday'].$uomTemp."';\n";
$string1.="ajaxVars['ajaxtempminTime']='".string_date($ws['tempMinTodayTime'],$SITE['timeOnlyFormat'])."';\n";
$unit = ''.langtransstr(trim($uomRain));
$string1.="ajaxVars['ajaxrainNoU']='".number_format($ws['rainToday'],1)."';\n";
$string1.="ajaxVars['ajaxrainrateNoU']='".number_format($ws['rainRateAct'],0)."';\n";
$string1.="ajaxVars['ajaxrain']='".number_format($ws['rainToday'],1).$unit."';\n";
if (isset($ws['rainHour']) ) {
	$string1.="ajaxVars['ajaxrainratehr']='".number_format($ws['rainHour'],1).$unit."';\n";
} else {
	$string1.="ajaxVars['ajaxrainratehr']='".number_format($ws['rainRateAct'],1).$unit."';\n";
}
$string1.="ajaxVars['ajaxrainmo']='".number_format($ws['rainMonth']).$unit."';\n";
$string1.="ajaxVars['ajaxrainyr']='".number_format($ws['rainYear']).$unit."';\n";
if ($ws['windBeafort'] == '')  {
	$ws['windBeafort'] = wsBeaufortNumber ($ws['windAct'],$SITE['uomWind']);
}
$beaufortText = langtransstr(wsBeaufortText ($ws['windBeafort']));
$convertText=htmlentities ($beaufortText);
if ( (($ws['windAct']  + $ws['gustAct']) < 0.1 ) || ($ws['windActDsc'] == '---')) {
		$wrDsc ='calm'; // use calm 
		$wrtext = $convertText;
	} else {
		$wrDsc = $ws['windActDsc'];
		$wrtext = langtransstr('Wind from') ." " . langtransstr($ws['windActDsc']); 
		}
$wr = $SITE['imgAjaxDir'].'wr-'.$SITE['lang'].'-'. $wrDsc .'.png';
$text="'<img class=\"colimg\" src=\"".$wr."\" style = \"padding: 30px 0px 30px 10px; float: left;\" height=\"64\" width=\"64\"  title=\"".$wrtext."\" alt=\"".$wrtext."\"/>';";
$string1.="ajaxVars['ajaxwindiconwr']=".$text;
$wr = $SITE['imgAjaxDir'].'wind-'. $wrDsc .'.gif'; 
$text="'<img src=\"".$wr."\" height=\"14\" width=\"14\" title=\"".$wrtext."\" alt=\"".$wrtext."\"/>';";
$string1.="ajaxVars['gizmowindicon']=".$text;
$string1.="ajaxVars['ajaxwinddir']='".$wrtext."';\n";
$string1.="ajaxVars['ajaxwinddirNoU']='".langtransstr($ws['windActDsc'])."';\n";
$string1.="ajaxVars['ajaxwind']='".$ws['windAct'].$uomWind."';\n";
$string1.="ajaxVars['ajaxwindNoU']='".$ws['windAct']."';\n";
$string1.="ajaxVars['ajaxgust']='".$ws['gustAct'].$uomWind."';\n";
$string1.="ajaxVars['ajaxgustNoU']='".$ws['gustAct']."';\n";
$string1.="ajaxVars['ajaxbeaufortnum']='".$ws['windBeafort']."';\n";
$string1.="ajaxVars['ajaxbeaufort']='".$convertText."';\n";
$string1.="ajaxVars['ajaxwindmaxgust']='".$ws['gustMaxToday'].$uomWind."';\n";
$string1.="ajaxVars['ajaxwindmaxgusttime']='".langtransstr('at').' '.string_date ($ws['gustMaxTodayTime'],$SITE['timeOnlyFormat'])."';\n";
$textUP = langtransstr("Increased by").": ".' %s%% '.langtransstr("the last hour").".";
$textDN = langtransstr("Decreased by").": ".' %s%% '.langtransstr("the last hour").".";
$string1.="ajaxVars['ajaxhumidity']='".$ws['humiAct']."%';\n";
$string1.="ajaxVars['ajaxhumidityNoU']='".$ws['humiAct']."';\n";
$text=wsGenDifference($ws['humiAct'],$ws['humiAct']	- $ws['humiDelta'], '', $textUP, $textDN, '1');
$string1.="ajaxVars['ajaxhumidityarrow']='".$text."';\n";
$textUP = langtransstr("Increased by").':  %s '.$uomTemp.' '.langtransstr("the last hour").".";
$textDN = langtransstr("Decreased by").':  %s '.$uomTemp.' '.langtransstr("the last hour").".";
$string1.="ajaxVars['ajaxdew']='".$ws['dewpAct'].$uomTemp."';\n";
$text=wsGenDifference($ws['dewpAct'], $ws['dewpAct'] - $ws['dewpDelta'], '' , $textUP, $textDN, '1');
$string1.="ajaxVars['ajaxdewarrow']='".$text."';\n";
$string1.="ajaxVars['ajaxbaro']='".$ws['baroAct'].$uomBaro."';\n";
$string1.="ajaxVars['ajaxbaroNoU']='".$ws['baroAct']."';\n";
$Tnow = $ws['baroAct'];
$TLast = $ws['baroAct']-$ws['baroDelta']; 
$textUP = langtransstr('Rising') . ' %s '. $uomBaro .' '.langtransstr(trim($uomPerHour));
$textDN =langtransstr('Falling') . ' %s ' . $uomBaro.' '.langtransstr(trim($uomPerHour));
$text=wsGenDifference($Tnow, $TLast, '',$textUP,$textDN,'1' );
$string1.="ajaxVars['ajaxbaroarrow']='".$text."';\n";
if ($SITE['WXsoftware'] == 'WL') {
	$pressuretrendname = $ws['baroDelta'];
} else {
	$rawpress= $ws['baroDelta'];
	$pressuretrendname = wsBarotrendText($rawpress,$uomBaro);
}
$string1.="ajaxVars['ajaxbarotrendtext']='".langtransstr($pressuretrendname)."';\n";
$string1.="ajaxVars['ajaxsolar']='".$ws['solarAct']."';\n";
if (isset ($ws['solActPerc']) ) {$string1.="ajaxVars['ajaxsolarpct']='".$ws['solActPerc']."';\n";}
$string1.="ajaxVars['ajaxsolarmax']='".$ws['solarMaxToday']."';\n"; 
if ($ws['solarMaxToday'] <> 0) {
$string1.="ajaxVars['ajaxsolarmaxtime']='".string_date($ws['solarMaxTodayTime'], $SITE['timeOnlyFormat'])."';\n";
} else {$string1.="ajaxVars['ajaxsolarmaxtime']='none';\n";}
$string1.="ajaxVars['ajaxuv']='".$ws['uvAct']."';\n";
$string1.="ajaxVars['ajaxuvword']='".wsgetUVrange($ws['uvAct'])."';\n";
$string1.="ajaxVars['ajaxuvmax']='".$ws['uvMaxToday']."';\n";
if ($ws['uvMaxTodayTime']  <> 0) {
$string1.="ajaxVars['ajaxuvmaxtime']='".string_date($ws['uvMaxTodayTime'] , $SITE['timeOnlyFormat'])."';\n";
} else {$string1.="ajaxVars['ajaxuvmaxtime']='none';\n";}
?>